<template>
    <div class="navbar-item has-dropdown is-hoverable">
        <a class="navbar-link is-dropdown-toggler">
            <icon-base name='MAP' />
        </a>

        <div class="navbar-dropdown">
            <!-- A list fron this url: https://www.mapbox.com/api-documentation/#styles -->
            <a v-on:click="setTile('streets-v10')" class="navbar-item">Streets</a>
            <a v-on:click="setTile('outdoors-v10')" class="navbar-item">Outdoors</a>
            <a v-on:click="setTile('light-v9')" class="navbar-item">Light</a>
            <a v-on:click="setTile('dark-v9')" class="navbar-item">Dark</a>
            <a v-on:click="setTile('satellite-v9')" class="navbar-item">Sattelite</a>
            <a v-on:click="setTile('satellite-streets-v10')" class="navbar-item">Sattelite streets</a>
            <a v-on:click="setTile('navigation-preview-day-v4')" class="navbar-item">Navigation preview day</a>
            <a v-on:click="setTile('navigation-preview-night-v4')" class="navbar-item">Navigation preview night</a>
            <a v-on:click="setTile('navigation-guidance-day-v4')" class="navbar-item">Navigation guidance day</a>
            <a v-on:click="setTile('navigation-guidance-night-v4')" class="navbar-item">Navigation guidance day</a>
        </div>
    </div>
</template>

<script lang="ts">
    import { Component, Prop, Vue } from 'vue-property-decorator';
    import { State, Getter, Action, Mutation, namespace } from 'vuex-class';

    import IconBase from '../IconBase.vue';

    import { CustomMap } from '@/ts/custom-map';

    @Component({
        components: {
            IconBase,
        },
    })
    export default class BarTileSelector extends Vue {
        @State('map') private map!: CustomMap;

        private setTile(tile: string): void {
            this.map.setTilesLayer(tile);
        }
    }
</script>
